hpp-corbaserver: hpp::corbaServer Namespace Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions
hpp::corbaServer Namespace Reference

## Namespaces
namespace | constraints_idl
namespace | core_idl
namespace | impl

## Classes
class | AbstractServantBase
class | AbstractServantKey
| Abstract class used to avoid duplication of the servants. More...
class | AbstractStorage
class | BasicServer
class | Client
class | ClientBase
struct | hpp_traits
struct | hpp_traits< hpp::constraints::ConfigurationConstraint >
struct | hpp_traits< hpp::constraints::DifferentiableFunction >
struct | hpp_traits< hpp::constraints::Implicit >
struct | hpp_traits< hpp::constraints::LockedJoint >
struct | hpp_traits< hpp::core::CollisionValidation >
struct | hpp_traits< hpp::core::ConfigProjector >
struct | hpp_traits< hpp::core::ConfigurationShooter >
struct | hpp_traits< hpp::core::configurationShooter::Gaussian >
struct | hpp_traits< hpp::core::configurationShooter::UniformSeedable >
struct | hpp_traits< hpp::core::ConfigValidation >
struct | hpp_traits< hpp::core::ConfigValidations >
struct | hpp_traits< hpp::core::ConnectedComponent >
struct | hpp_traits< hpp::core::Constraint >
struct | hpp_traits< hpp::core::ConstraintSet >
struct | hpp_traits< hpp::core::ContinuousValidation >
struct | hpp_traits< hpp::core::Distance >
struct | hpp_traits< hpp::core::Path >
struct | hpp_traits< hpp::core::path::Hermite >
struct | hpp_traits< hpp::core::PathOptimizer >
struct | hpp_traits< hpp::core::PathPlanner >
struct | hpp_traits< hpp::core::PathProjector >
struct | hpp_traits< hpp::core::PathValidation >
struct | hpp_traits< hpp::core::pathValidation::Discretized >
struct | hpp_traits< hpp::core::PathValidations >
struct | hpp_traits< hpp::core::PathVector >
struct | hpp_traits< hpp::core::Problem >
struct | hpp_traits< hpp::core::Roadmap >
struct | hpp_traits< hpp::core::SteeringMethod >
struct | hpp_traits< hpp::core::steeringMethod::SplineBernstein3 >
struct | hpp_traits< hpp::core::steeringMethod::SplineBernstein5 >
struct | hpp_traits< hpp::core::WeighedDistance >
struct | hpp_traits< hpp::pinocchio::CenterOfMassComputation >
struct | hpp_traits< hpp::pinocchio::CollisionObject >
struct | hpp_traits< hpp::pinocchio::Device >
class | ObjectMap
class | ProblemSolverMap
class | ReadWriteLock
class | ServantBase
struct | ServantFactory
class | ServantFactoryBase
class | Server
| Implementation of Hpp module Corba server. More...
class | ServerPlugin
struct | vectorToSeqServant

## Typedefs
typedef Eigen::Matrix< CORBA::Long, Eigen::Dynamic, Eigen::Dynamic > | IntMatrix_t
typedef shared_ptr< ProblemSolverMap > | ProblemSolverMapPtr_t
typedef pinocchio::BodyPtr_t | BodyPtr_t
typedef pinocchio::CollisionObject | CollisionObject_t
typedef pinocchio::CollisionObjectPtr_t | CollisionObjectPtr_t
typedef pinocchio::CollisionObjectConstPtr_t | CollisionObjectConstPtr_t
typedef pinocchio::Configuration_t | Configuration_t
typedef core::ConfigIterator_t | ConfigIterator_t
typedef core::ConfigConstIterator_t | ConfigConstIterator_t
typedef core::ConnectedComponent | ConnectedComponent
typedef core::ConnectedComponents_t | ConnectedComponents_t
typedef core::ConnectedComponentPtr_t | ConnectedComponentPtr_t
typedef pinocchio::Device | Device
typedef pinocchio::DevicePtr_t | DevicePtr_t
typedef pinocchio::DistanceResults_t | DistanceResults_t
typedef core::CollisionPairs_t | CollisionPairs_t
typedef core::DistanceBetweenObjects | DistanceBetweenObjects
typedef core::DistanceBetweenObjectsPtr_t | DistanceBetweenObjectsPtr_t
typedef core::Edges_t | Edges_t
typedef pinocchio::Joint | Joint
typedef pinocchio::Frame | Frame
typedef pinocchio::JointPtr_t | JointPtr_t
typedef pinocchio::JointVector_t | JointVector_t
typedef constraints::Shape_t | Shape_t
typedef constraints::JointAndShape_t | JointAndShape_t
typedef constraints::JointAndShapes_t | JointAndShapes_t
typedef core::LockedJoint | LockedJoint
typedef core::LockedJointPtr_t | LockedJointPtr_t
typedef core::Nodes_t | Nodes_t
typedef core::NodeVector_t | NodeVector_t
typedef core::ObjectVector_t | ObjectVector_t
typedef core::ObjectStdVector_t | ObjectStdVector_t
typedef core::PathPtr_t | PathPtr_t
typedef core::PathValidationReportPtr_t | PathValidationReportPtr_t
typedef core::PathVector | PathVector_t
typedef core::PathVectorPtr_t | PathVectorPtr_t
typedef core::SteeringMethod | SteeringMethod_t
typedef core::SteeringMethodPtr_t | SteeringMethodPtr_t
typedef pinocchio::Transform3s | Transform3s
typedef coal::BVHModel< coal::OBBRSS > | Polyhedron_t
typedef pinocchio::value_type | value_type
typedef pinocchio::matrix_t | matrix_t
typedef pinocchio::matrix3_t | matrix3_t
typedef pinocchio::vector_t | vector_t
typedef pinocchio::vector3_t | vector3_t
typedef pinocchio::ComJacobian_t | ComJacobian_t
typedef pinocchio::size_type | size_type
typedef pinocchio::LiegroupElement | LiegroupElement
typedef pinocchio::LiegroupSpace | LiegroupSpace
typedef pinocchio::LiegroupSpacePtr_t | LiegroupSpacePtr_t
typedef PortableServer::Servant_var< PortableServer::ServantBase > | ServantBase_var

## Functions
void | toTransform3s (const Transform_ in, Transform3s &out)
Transform3s | toTransform3s (const Transform_ in)
std::vector< Transform3s > | toTransform3s (const TransformSeq in)
void | toHppTransform (const Transform3s &in, Transform_ out)
Transform__slice * | toHppTransform (const Transform3s &in)
void | toIntSeq (std::vector< int > const &in, intSeq &out)
floatSeq * | vectorToFloatSeq (core::vectorIn_t input)
void | vectorToFloatSeq (core::vectorIn_t input, floatSeq &output)
floatSeqSeq * | matrixToFloatSeqSeq (core::matrixIn_t input)
| Returns a sequence of the rows of the input matrix.
intSeqSeq * | matrixToIntSeqSeq (Eigen::Ref< const IntMatrix_t > input)
std::vector< int > | intSeqToVector (const intSeq &dofArray)
vector3_t | floatSeqToVector3 (const floatSeq &dofArray)
vector_t | floatSeqToVector (const floatSeq &dofArray, const size_type expectedSize=-1)
Configuration_t | floatSeqToConfig (const DevicePtr_t &robot, const floatSeq &dofArray, bool throwIfNotNormalized)
core::matrix_t | floatSeqSeqToMatrix (const floatSeqSeq &input, const size_type expectedRows=-1, const size_type expectedCols=-1)
IntMatrix_t | intSeqSeqToMatrix (const intSeqSeq &input, const size_type expectedRows=-1, const size_type expectedCols=-1)
std::vector< bool > | boolSeqToVector (const hpp::boolSeq &mask, unsigned int length=3)
stringSeqSeq * | vectorToStringSeqSeq (std::vector< std::vector< std::string > > input)
char * | c_str (const std::string &in)
template<typename InputIt >
Names_t * | toNames_t (InputIt begin, InputIt end)
template<typename Iterable >
Names_t * | toNames_t (const Iterable &iterable)
template<typename InputIt >
intSeq * | toIntSeq (InputIt begin, InputIt end)
intSeq * | toIntSeq (std::vector< int > const &in)
template<typename InputIt >
boolSeq * | toBoolSeq (InputIt begin, InputIt end)
template<typename OutputType >
OutputType | toStrings (const Names_t &names)
constraints::ComparisonTypes_t | convertComparison (hpp::ComparisonTypes_t comp)
| Convert CORBA comparison types to C++ comparison type.
hpp::ComparisonTypes_t * | convertComparison (constraints::ComparisonTypes_t comp)
| Convert C++ comparison type to CORBA comparison types.
core::Parameter | toParameter (const CORBA::Any &any)
CORBA::Any | toCorbaAny (const core::Parameter &parameter)
CORBA::Any * | toCorbaAnyPtr (const core::Parameter &parameter)
template<typename S , typename P >
PortableServer::Servant_var< S > | reference_to_servant (Server *server, const P &p)
template<typename T , typename P >
AbstractServantBase< T > * | reference_to_servant_base (Server *server, const P &p)
template<typename P , typename S >
P | makeServant (Server *server, S *s)
template<typename T , typename P >
auto | reference_to_object (Server *server, const P &p)
template<typename ServantBaseType >
std::vector< ServantFactoryBase< ServantBaseType > * > & | objectDowncasts ()
template<typename ServantBaseType >
void | addDowncastObjects (ServantFactoryBase< ServantBaseType > *const object)
template<typename ServantBaseType , typename ReturnType >
ReturnType::Object_var | makeServantDownCast (Server *server, const typename ServantBaseType::Storage &t)
template<typename ServantBaseType >
ServantBaseType::Object_var | makeServantDownCast (Server *server, const typename ServantBaseType::Storage &t)

## Typedef Documentation

## ◆ BodyPtr_t

typedef pinocchio::BodyPtr_t hpp::corbaServer::BodyPtr_t

## ◆ CollisionObject_t

typedef pinocchio::CollisionObject hpp::corbaServer::CollisionObject_t

## ◆ CollisionObjectConstPtr_t

typedef pinocchio::CollisionObjectConstPtr_t hpp::corbaServer::CollisionObjectConstPtr_t

## ◆ CollisionObjectPtr_t

typedef pinocchio::CollisionObjectPtr_t hpp::corbaServer::CollisionObjectPtr_t

## ◆ CollisionPairs_t

typedef core::CollisionPairs_t hpp::corbaServer::CollisionPairs_t

## ◆ ComJacobian_t

typedef pinocchio::ComJacobian_t hpp::corbaServer::ComJacobian_t

## ◆ ConfigConstIterator_t

typedef core::ConfigConstIterator_t hpp::corbaServer::ConfigConstIterator_t

## ◆ ConfigIterator_t

typedef core::ConfigIterator_t hpp::corbaServer::ConfigIterator_t

## ◆ Configuration_t

typedef pinocchio::Configuration_t hpp::corbaServer::Configuration_t

## ◆ ConnectedComponent

typedef core::ConnectedComponent hpp::corbaServer::ConnectedComponent

## ◆ ConnectedComponentPtr_t

typedef core::ConnectedComponentPtr_t hpp::corbaServer::ConnectedComponentPtr_t

## ◆ ConnectedComponents_t

typedef core::ConnectedComponents_t hpp::corbaServer::ConnectedComponents_t

## ◆ Device

typedef pinocchio::Device hpp::corbaServer::Device

## ◆ DevicePtr_t

typedef pinocchio::DevicePtr_t hpp::corbaServer::DevicePtr_t

## ◆ DistanceBetweenObjects

typedef core::DistanceBetweenObjects hpp::corbaServer::DistanceBetweenObjects

## ◆ DistanceBetweenObjectsPtr_t

typedef core::DistanceBetweenObjectsPtr_t hpp::corbaServer::DistanceBetweenObjectsPtr_t

## ◆ DistanceResults_t

typedef pinocchio::DistanceResults_t hpp::corbaServer::DistanceResults_t

## ◆ Edges_t

typedef core::Edges_t hpp::corbaServer::Edges_t

## ◆ Frame

typedef pinocchio::Frame hpp::corbaServer::Frame

## ◆ IntMatrix_t

typedef Eigen::Matrix<CORBA::Long, Eigen::Dynamic, Eigen::Dynamic> hpp::corbaServer::IntMatrix_t

## ◆ Joint

typedef pinocchio::Joint hpp::corbaServer::Joint

## ◆ JointAndShape_t

typedef constraints::JointAndShape_t hpp::corbaServer::JointAndShape_t

## ◆ JointAndShapes_t

typedef constraints::JointAndShapes_t hpp::corbaServer::JointAndShapes_t

## ◆ JointPtr_t

typedef pinocchio::JointPtr_t hpp::corbaServer::JointPtr_t

## ◆ JointVector_t

typedef pinocchio::JointVector_t hpp::corbaServer::JointVector_t

## ◆ LiegroupElement

typedef pinocchio::LiegroupElement hpp::corbaServer::LiegroupElement

## ◆ LiegroupSpace

typedef pinocchio::LiegroupSpace hpp::corbaServer::LiegroupSpace

## ◆ LiegroupSpacePtr_t

typedef pinocchio::LiegroupSpacePtr_t hpp::corbaServer::LiegroupSpacePtr_t

## ◆ LockedJoint

typedef core::LockedJoint hpp::corbaServer::LockedJoint

## ◆ LockedJointPtr_t

typedef core::LockedJointPtr_t hpp::corbaServer::LockedJointPtr_t

## ◆ matrix3_t

typedef pinocchio::matrix3_t hpp::corbaServer::matrix3_t

## ◆ matrix_t

typedef pinocchio::matrix_t hpp::corbaServer::matrix_t

## ◆ Nodes_t

typedef core::Nodes_t hpp::corbaServer::Nodes_t

## ◆ NodeVector_t

typedef core::NodeVector_t hpp::corbaServer::NodeVector_t

## ◆ ObjectStdVector_t

typedef core::ObjectStdVector_t hpp::corbaServer::ObjectStdVector_t

## ◆ ObjectVector_t

typedef core::ObjectVector_t hpp::corbaServer::ObjectVector_t

## ◆ PathPtr_t

typedef core::PathPtr_t hpp::corbaServer::PathPtr_t

## ◆ PathValidationReportPtr_t

typedef core::PathValidationReportPtr_t hpp::corbaServer::PathValidationReportPtr_t

## ◆ PathVector_t

typedef core::PathVector hpp::corbaServer::PathVector_t

## ◆ PathVectorPtr_t

typedef core::PathVectorPtr_t hpp::corbaServer::PathVectorPtr_t

## ◆ Polyhedron_t

typedef coal::BVHModel<coal::OBBRSS> hpp::corbaServer::Polyhedron_t

## ◆ ProblemSolverMapPtr_t

typedef shared_ptr<ProblemSolverMap> hpp::corbaServer::ProblemSolverMapPtr_t

## ◆ Shape_t

typedef constraints::Shape_t hpp::corbaServer::Shape_t

Plane polygon represented by its vertices Used to model contact surfaces for manipulation applications

## ◆ size_type

typedef pinocchio::size_type hpp::corbaServer::size_type

## ◆ SteeringMethod_t

typedef core::SteeringMethod hpp::corbaServer::SteeringMethod_t

## ◆ SteeringMethodPtr_t

typedef core::SteeringMethodPtr_t hpp::corbaServer::SteeringMethodPtr_t

## ◆ Transform3s

typedef pinocchio::Transform3s hpp::corbaServer::Transform3s

## ◆ value_type

typedef pinocchio::value_type hpp::corbaServer::value_type

## ◆ vector3_t

typedef pinocchio::vector3_t hpp::corbaServer::vector3_t

## ◆ vector_t

typedef pinocchio::vector_t hpp::corbaServer::vector_t

## Function Documentation

## ◆ boolSeqToVector()

std::vector< bool > hpp::corbaServer::boolSeqToVector | ( | const hpp::boolSeq & | mask,
|  | unsigned int | length = `3`
| ) |  |

## ◆ c_str()

char * hpp::corbaServer::c_str | ( | const std::string & | in | ) |
| inline

## ◆ convertComparison() [1/2]

hpp::ComparisonTypes_t * hpp::corbaServer::convertComparison | ( | constraints::ComparisonTypes_t | comp | ) |

Convert C++ comparison type to CORBA comparison types.

## ◆ convertComparison() [2/2]

constraints::ComparisonTypes_t hpp::corbaServer::convertComparison | ( | hpp::ComparisonTypes_t | comp | ) |

Convert CORBA comparison types to C++ comparison type.

## ◆ floatSeqSeqToMatrix()

core::matrix_t hpp::corbaServer::floatSeqSeqToMatrix | ( | const floatSeqSeq & | input,
|  | const size_type | expectedRows = `-1`,
|  | const size_type | expectedCols = `-1`
| ) |  |

## ◆ floatSeqToConfig()

Configuration_t hpp::corbaServer::floatSeqToConfig | ( | const DevicePtr_t & | robot,
|  | const floatSeq & | dofArray,
|  | bool | throwIfNotNormalized
| ) |  |

## ◆ floatSeqToVector()

vector_t hpp::corbaServer::floatSeqToVector | ( | const floatSeq & | dofArray,
|  | const size_type | expectedSize = `-1`
| ) |  |

## ◆ floatSeqToVector3()

vector3_t hpp::corbaServer::floatSeqToVector3 | ( | const floatSeq & | dofArray | ) |

## ◆ intSeqSeqToMatrix()

IntMatrix_t hpp::corbaServer::intSeqSeqToMatrix | ( | const intSeqSeq & | input,
|  | const size_type | expectedRows = `-1`,
|  | const size_type | expectedCols = `-1`
| ) |  |

## ◆ intSeqToVector()

std::vector< int > hpp::corbaServer::intSeqToVector | ( | const intSeq & | dofArray | ) |

## ◆ matrixToFloatSeqSeq()

floatSeqSeq * hpp::corbaServer::matrixToFloatSeqSeq | ( | core::matrixIn_t | input | ) |

Returns a sequence of the rows of the input matrix.

## ◆ matrixToIntSeqSeq()

intSeqSeq * hpp::corbaServer::matrixToIntSeqSeq | ( | Eigen::Ref< const IntMatrix_t > | input | ) |

## ◆ toBoolSeq()

template<typename InputIt >

boolSeq * hpp::corbaServer::toBoolSeq | ( | InputIt | begin,
|  | InputIt | end
| ) |  |
| inline

## ◆ toCorbaAny()

CORBA::Any hpp::corbaServer::toCorbaAny | ( | const core::Parameter & | parameter | ) |

## ◆ toCorbaAnyPtr()

CORBA::Any * hpp::corbaServer::toCorbaAnyPtr | ( | const core::Parameter & | parameter | ) |
| inline

## ◆ toHppTransform() [1/2]

Transform__slice * hpp::corbaServer::toHppTransform | ( | const Transform3s & | in | ) |

## ◆ toHppTransform() [2/2]

void hpp::corbaServer::toHppTransform | ( | const Transform3s & | in,
|  | Transform_ | out
| ) |  |

## ◆ toIntSeq() [1/3]

template<typename InputIt >

intSeq * hpp::corbaServer::toIntSeq | ( | InputIt | begin,
|  | InputIt | end
| ) |  |
| inline

## ◆ toIntSeq() [2/3]

intSeq * hpp::corbaServer::toIntSeq | ( | std::vector< int > const & | in | ) |

## ◆ toIntSeq() [3/3]

void hpp::corbaServer::toIntSeq | ( | std::vector< int > const & | in,
|  | intSeq & | out
| ) |  |

## ◆ toNames_t() [1/2]

template<typename Iterable >

Names_t * hpp::corbaServer::toNames_t | ( | const Iterable & | iterable | ) |
| inline

## ◆ toNames_t() [2/2]

template<typename InputIt >

Names_t * hpp::corbaServer::toNames_t | ( | InputIt | begin,
|  | InputIt | end
| ) |  |
| inline

## ◆ toParameter()

core::Parameter hpp::corbaServer::toParameter | ( | const CORBA::Any & | any | ) |

## ◆ toStrings()

template<typename OutputType >

OutputType hpp::corbaServer::toStrings | ( | const Names_t & | names | ) |
| inline

## ◆ toTransform3s() [1/3]

Transform3s hpp::corbaServer::toTransform3s | ( | const Transform_ | in | ) |

## ◆ toTransform3s() [2/3]

void hpp::corbaServer::toTransform3s | ( | const Transform_ | in,
|  | Transform3s & | out
| ) |  |

## ◆ toTransform3s() [3/3]

std::vector< Transform3s > hpp::corbaServer::toTransform3s | ( | const TransformSeq | in | ) |

## ◆ vectorToFloatSeq() [1/2]

floatSeq * hpp::corbaServer::vectorToFloatSeq | ( | core::vectorIn_t | input | ) |

## ◆ vectorToFloatSeq() [2/2]

void hpp::corbaServer::vectorToFloatSeq | ( | core::vectorIn_t | input,
|  | floatSeq & | output
| ) |  |

## ◆ vectorToStringSeqSeq()

stringSeqSeq * hpp::corbaServer::vectorToStringSeqSeq | ( | std::vector< std::vector< std::string > > | input | ) |